MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027473Community[OCCT] OCCT:Visualizationpublic2016-05-06 08:372016-12-09 16:38
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027473: Expose Detected Point information in class SelectMgr_ViewerSelector
DescriptionSelectMgr_ViewerSelector has function DetectedEntity() to access Detected Entity. In practice, the detected point which can be calculated from the Depth is also useful. The detected point might be available in point selection mode.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0053875)
Vico Liang (developer)
2016-05-06 08:45

Dear kgv,

Do you think it's reasonable to expose SelectMgr_SortCriterion which is associated with detected entity SelectBasics_SensitiveEntity and then add detected point value to SelectMgr_SortCriterion?
(0053876)
Vico Liang (developer)
2016-05-06 08:53

I see there is a function VState in TKViewerTest project to get the detected point. But it is too complex to understand and also it's not an efficient way to get the detected point.
(0053892)
kgv (developer)
2016-05-06 15:07
edited on: 2016-05-06 15:07

Dear Vico,

I agree that method returning the coordinates of detected point would be useful for many applications - to avoid going deeper in details as done in vstate command.

> Do you think it's reasonable to expose SelectMgr_SortCriterion which is associated with detected entity SelectBasics_SensitiveEntity and then add detected point value to SelectMgr_SortCriterion?
SelectMgr_SortCriterion might be a reasonable place for holding coordinates as well, but in most cases depth value should sufficient for computing point.
So it is more about how to provide result at high-level API.

(0053911)
Vico Liang (developer)
2016-05-08 13:11

Dear kgv,

Calculating the coordinates of detected point needs SelectMgr_SelectingVolumeManager and depth value. For different SensitiveEntity, the SelectMgr_SelectingVolumeManager might be transformed or scaled, so Depth value might be not sufficient.
(0058084)
kgv (developer)
2016-09-23 15:52

Dear bugmaster,

please switch this bug to VERIFIED - the feature has been integrated in scope of patch for #0027834.

- Issue History
Date Modified Username Field Change
2016-05-06 08:37 Vico Liang New Issue
2016-05-06 08:37 Vico Liang Assigned To => kgv
2016-05-06 08:45 Vico Liang Note Added: 0053875
2016-05-06 08:53 Vico Liang Note Added: 0053876
2016-05-06 15:07 kgv Note Added: 0053892
2016-05-06 15:07 kgv Note Edited: 0053892 View Revisions
2016-05-08 13:11 Vico Liang Note Added: 0053911
2016-09-02 15:18 kgv Relationship added related to 0027834
2016-09-23 15:52 kgv Note Added: 0058084
2016-09-23 15:52 kgv Assigned To kgv => bugmaster
2016-09-23 15:52 kgv Status new => feedback
2016-09-23 15:52 kgv Resolution open => fixed
2016-09-23 15:52 kgv Product Version 6.9.1 =>
2016-09-27 14:27 bugmaster Status feedback => tested
2016-09-27 14:27 bugmaster Status tested => assigned
2016-10-13 16:34 kgv Status assigned => feedback
2016-10-25 20:11 apn Test case number => Not needed
2016-10-25 20:11 apn Status feedback => tested
2016-10-25 20:11 apn Status tested => verified
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker